## u-boot 2020.04+dfsg

=== debian/changelog ===
u-boot (2020.04+dfsg-2ubuntu1) groovy; urgency=medium

  * Merge with 2020.04+dfsg-2 from Debian unstable. Remaining changes:
    - Enable Ubuntu support for the Nitrogen6x board (LP: #1838064)
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - Enable FIT signing support (LP: #1831942)
      - Enable CONFIG_FIT_SIGNATURE so we can sign FIT images.
      - Add libssl-dev to Build-Depends: to enable crypto functionality.
      - Limit key names to keys within the keydir.
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - d/p/lzo-to-lzno.patch: use gzip instead of lzo compression for FIT
      images as lzop in Ubuntu is in universe. This should be temporary and in
      the next releases ideally we should follow what Debian does.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one

  * Removed obsolete patches/changes:
    - Handle differing root partition labels during migration
    - Add script to migrate old boot configurations to split, selective style
    - Don't attempt config migration when /boot/firmware is a chroot
    - Use vc4-fkms-v3d overlay on all models of Raspberry Pi
    - Do not include the vc4-fkms-v3d overlay; this breaks book on the 3A+
    - Ensure boot.scr is from recent flash-kernel
    - d/p/rpi-import-mkknlimg.patch import tools/mkknlimg from Xenial/raspi2 -
      scripts/mkknlimg @ 83a3ebb
    - Remove redundant d/p/rpi-import-mkknlimg.patch
    - d/p/ubuntu-nitrogen6q2g-temporary-config-fixup.patch:
      Fix bad CRC issue. The env size and redundant environment config
      variables have not yet been migrated to Kconfig, so setting them in
      _defconfig has no effect. Set those manually.

  * Removed patches obsoleted/merged by upstream:
    - Use python2 for the build.
    - Added d/p/python2.patch to fix-up remaining scripts still using bare
      "python"
    - d/p/am57xx/omap5_distro_bootcmd
    - Correct odroid README paths
    - Add d/p/rpi4.patch to support Raspberry Pi 4 boot
    - Avoid device-tree memory fixup on Raspberry Pi 4; this allows access to
      the all the RAM on models with more than 1Gb
    - Add missing build dependency on arm/arm64

 -- Dave Jones <dave.jones@canonical.com>  Sat, 16 May 2020 01:02:53 +0000

u-boot (2020.04+dfsg-2) unstable; urgency=medium

  * debian/patches:
    - Remove dreamplug cache patch, fixed upstream.
    - Add patches submitted upstream to support pinebook pro.
  * u-boot-rockchip:
    - Add support for rockpro64-rk3399.
    - Add support for pinebook-pro-rk3399.
    - Add u-boot-install-rockchip helper script.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 20 Apr 2020 19:34:37 -0700

u-boot (2020.04+dfsg-1) unstable; urgency=medium

  * New upstream release.

  [ Vagrant Cascadian ]
  * Update upstream signing key.
  * [arm64] Build arm-trusted-firmware into rockchip/sunxi systems.
  * [arm64] u-boot-sunxi: Add a64-olinuxino-emmc target Thanks to Philip
    Rinn. (Closes: #956394).

  [ Walter Lozano ]
  * debian/targets: Add support for rock-pi-4-rk3399
  * debian/targets: Add target idbloader.img for rk3399 boards

  [ Vagrant Cascadian ]
  * debian/control: Add versioned Build-Depends on arm-trusted-firmware
    for rk3399 support.
  * debian/targets: Add idbloader.img for all rockchip platforms.
  * u-boot-rockchip: Update README.Debian.
  * Remove debian/bin/generate-rksd.
  * u-boot-rockchip: firefly-rk3288: Also install u-boot.img.
  * [arm64] u-boot-rockchip, u-boot-sunxi: Add Built-Using
    arm-trusted-firmware.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 14 Apr 2020 17:24:39 -0700

u-boot (2020.04~rc5+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches:
    - Remove patch fixing video on pinebook, fixed upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 07 Apr 2020 08:50:37 -0700

u-boot (2020.04~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches:
    - riscv64: refresh qemu-riscv64 extlinux patch.
    - exynos: Refresh patch fixing console.
    - Drop patches applied upstream.
  * debian/rules: Disable CONFIG_FIT_SIGNATURE in all targets, as it
    requires openssl which introduces license incompatibilities with the
    GPL.
  * u-boot-rockchip: Update firefly-rk3288 instructions.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 13 Feb 2020 00:17:14 -0800

u-boot (2020.01+dfsg-2) unstable; urgency=medium

  * debian/patches:
    - Fix video output on pinebook (Closes: #948753).
    - Fix exynos5 board detection (Closes: #951195). Thanks to Jochen
      Sprickerhof!
    - Fix MMC on odroid U3. (Closes: #950293)
    - Improve error handling with GPT renames. Fixes CVE-2020-8432.
  * debian/control: Update Standards-Version to 4.5.0, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 12 Feb 2020 22:29:38 -0800

u-boot (2020.01+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Do not call qcom wrapper script.
  * debian/control: Drop Build-Depends on "skales", removed from testing.
  * u-boot-rockchip: Use python3 in rockchip_make_fit_atf.
  * generate-rksd: Only generate SPL rksd on targets not using TPL.
  * Add build profile pkg.uboot.subarch.* to build only subsets of
    packages.
  * [arm64] u-boot-rockchip: Add arm-trusted-firmware and u-boot-tools to
    Recommends.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Jan 2020 00:19:44 -0800

u-boot (2020.01~rc5+dfsg-1) experimental; urgency=medium

  * New upstream release candidate (Closes: #941231).
  * debian/control: Update Build-Depends to use python3 and
    libpython3-dev, add python3-distutils (Closes: #938739).
  * [armhf] u-boot-imx: install u-boot-dtb.imx on mx6qsabrelite and
    nitrogen6q.
  * debian/patches:

