=== drivers/board/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# (C) Copyright 2017
# Mario Six,  Guntermann & Drunck GmbH, mario.six@gdsys.cc
obj-y += board-uclass.o
obj-$(CONFIG_BOARD_GAZERBEAM) += gazerbeam.o
obj-$(CONFIG_BOARD_SANDBOX) += sandbox.o
