=== board/broadcom/bcm23550_w1d/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright 2013 Broadcom Corporation.

obj-y	+= bcm23550_w1d.o
