=== board/freescale/mpc8641hpcn/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# (C) Copyright 2001
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.

obj-y	+= mpc8641hpcn.o
obj-y	+= law.o
obj-$(CONFIG_SYS_FSL_DDR2) += ddr.o
